Summary:        AA base class for PerlSAX drivers and filters
Name:           perl-XML-SAX-Base
Version:        1.09
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/dist/XML-SAX-Base
Source0:        https://cpan.metacpan.org/authors/id/G/GR/GRANTM/XML-SAX-Base-%{version}.tar.gz

BuildRequires:  make coreutils perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(Carp)
BuildRequires:  perl(strict) perl(vars) perl(warnings) perl(overload)
BuildRequires:  perl(base) perl(Test) perl(Test::More) >= 0.88

BuildArch:      noarch

%description
This module has a very simple task - to be a base class for PerlSAX drivers 
and filters. It's default behaviour is to pass the input directly to the output 
unchanged. It can be useful to use this module as a base class so you don't have 
to, for example, implement the characters() callback.

The main advantages that it provides are easy dispatching of events the right 
way(ie it takes care for you of checking that the handler has implemented that
method,or has defined an AUTOLOAD), and the guarantee that filters will pass 
along events that they aren't implementing to handlers downstream that might 
nevertheless be interested in them.


%prep
%autosetup -n XML-SAX-Base-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build


%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}


%check
make test


%files
%doc README Changes BuildSAXBase.pl
%{perl_vendorlib}/XML/
%{_mandir}/man3/*.3pm.gz


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.09-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.09-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.09-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.09-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.09-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.09-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug  1 2022 doriscchao <doriscchao@tencent.com> - 1.09-1
- initial build, Version 1.09, Release 1
